package geniusweb.domaineditor.model;

import geniusweb.domaineditor.ProfileEditor;
import tudelft.utilities.listener.Unacceptable;
import tudelft.utilities.logging.Reporter;
import tudelft.utilities.mvc.model.StringModel;

/**
 * allows only strings that {{{matches("[a-zA-Z0-9]+")}}}
 */
public class SimpleStringModel extends StringModel {

	public SimpleStringModel(String val, Reporter log) {
		super(val, log, ProfileEditor.TIME);
	}

	@Override
	protected void check() throws Unacceptable {
		if (!(getValue().matches("[a-zA-Z0-9]+")))
			throw new Unacceptable(
					"Only lower and upper case letters and numbers are allowed");
		super.check();
	}

}
